// ZBrowse.h : main header file for the ZBROWSE application
//

#if !defined(AFX_ZBROWSE_H__B884EA89_9BC3_11D2_AE74_00400533897F__INCLUDED_)
#define AFX_ZBROWSE_H__B884EA89_9BC3_11D2_AE74_00400533897F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#ifndef _ZBROWSE
#define _ZBROWSE
#endif // _ZBROWSE

#include "zbrres.h"       // main symbols
#include "options.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CZBrowseApp:
// See ZBrowse.cpp for the implementation of this class
//

class CZBrowseApp : public CWinApp
{
public:
	CZBrowseApp();
	BOOL MessageLoop();

	BOOL m_bFirstInstance; // ###1.23

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZBrowseApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	virtual BOOL SaveAllModified();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CZBrowseApp)
	afx_msg void OnAppAbout();
	afx_msg void OnBrowseOK();
	afx_msg void OnBrowseCancel();
	//}}AFX_MSG
	afx_msg void OnHelp();
	DECLARE_MESSAGE_MAP()
};

#define BARSTATE_TOOL 1
#define BARSTATE_STATUS 2

class CZBOptions : public COptions
{
public:
	CString m_sBrowseFolder;
	CString m_sCaption;
	UINT  m_nBrowse;
	CRect m_rFrame;
	int   m_cxSplit;
	DWORD m_dwBuffer;
	DWORD m_dwBufferFTP;
	CStringArray m_sHistPath;
	CStringArray m_sFavorPath;		// ###1.20
	CStringArray m_sThumbPath;		// ###1.24
	int m_nHistMax;
	UINT m_viewStyle;
	BOOL m_bFlatBar;
	int  m_iNetWalk;
	BOOL m_bMaximized;
	UINT m_barState;
	int  m_nSnap;
	UINT m_snapflag;
public:
	CZBOptions();
	void Load();
	void LoadFramePos();
	void Save();
	void LoadListView();
	void SaveListView();
};

extern CZBOptions options;

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZBROWSE_H__B884EA89_9BC3_11D2_AE74_00400533897F__INCLUDED_)
