// options.h : interface of the COptions class
//

#ifndef _OPTIONS_H_
#define _OPTIONS_H_

class COptions
{
public:
	COptions();
	void SetSection(LPCTSTR lpszSection = NULL);
	void Touch() { m_bModified = TRUE; }
	UINT GetProfileInt(LPCTSTR lpszEntry, int nDefault);
	BOOL WriteProfileInt(LPCTSTR lpszEntry, int nValue);
	CString GetProfileString(LPCTSTR lpszEntry, LPCTSTR lpszDefault = NULL);
	BOOL WriteProfileString(LPCTSTR lpszEntry, LPCTSTR lpszValue);
	BOOL GetProfileBinary(LPCTSTR lpszEntry, LPVOID pData, UINT nBytes = 0);
	BOOL WriteProfileBinary(LPCTSTR lpszEntry, LPBYTE pData, UINT nBytes);
	void LoadHistory(CString sHistName, CStringArray& sarrHist);
	void SaveHistory(CString sHistName, CStringArray& sarrHist);
private:
	BOOL m_bModified;
	LPCTSTR m_lpszSection;
};

#endif //_OPTIONS_H_
