/////////////////////////////////////////////////////////////////////////////
// pidl.h : interface of PIDL manipulation helper

#ifndef PIDL_H
#define PIDL_H

#include <shlobj.h>

int GetFolderIcon(LPITEMIDLIST pIDL, UINT uFlags);
int GetFolderIcon(LPCTSTR pPath, UINT uFlags);
int GetFolderIcon(LPCTSTR pPath, DWORD dwAttr, UINT uFlags);
//int GetFileIcon(LPCTSTR pPath);
UINT GetFolderAttr(LPITEMIDLIST pIDL);
UINT GetFolderAttr(LPCTSTR pPath);
CString GetNameOf(LPSHELLFOLDER pSF, LPITEMIDLIST pIDL, DWORD dwFlags);
CString GetPathFromPIDL(LPITEMIDLIST pIDL);	// ###1.24
LPITEMIDLIST GetPIDLOf(LPSHELLFOLDER pSF, LPCTSTR pPath);
LPITEMIDLIST ConcatPIDLs(LPCITEMIDLIST pIDL1, LPCITEMIDLIST pIDL2);
HIMAGELIST GetShellImageList(UINT uFlags = SHGFI_SMALLICON);
int ComparePIDs(LPSHELLFOLDER pSF, LPCITEMIDLIST pIDL1, LPCITEMIDLIST pIDL2);
LPCITEMIDLIST GetLastPIDL(LPCITEMIDLIST pIDL);
UINT GetPIDLSize(LPCITEMIDLIST pIDL);
LPITEMIDLIST GetSubPIDL(LPCITEMIDLIST pIDL, int nIndex);
int GetPIDLLength(LPCITEMIDLIST pIDL);
LPSHELLFOLDER BindToPath(LPSHELLFOLDER pSFRoot, LPCTSTR pPathParent); // ###1.24 ###_UNICODE

inline LPITEMIDLIST DuplicatePIDL(LPCITEMIDLIST pIDL) { return ConcatPIDLs(NULL, pIDL); }

extern LPMALLOC g_pMalloc;

#endif // PIDL_H
