// ComboBar.h : header file
//

#ifndef COMBOBAR_H
#define COMBOBAR_H

#include "ComboBox.h"

/////////////////////////////////////////////////////////////////////////////
// CComboToolBar window

class CComboToolBar : public CToolBar
{
// Construction
public:
	CComboToolBar();

// Attributes
public:
	CHistComboBox m_combo;
	CButton m_btnOK;

// Operations
public:
	BOOL CreateComboBox(int nIndex, UINT nID, int width, int height);
	BOOL CreatePushButton(int nIndex, UINT nID, int width);
	void ResizeComboBox(int nIndex, UINT nID, int width);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CComboToolBar)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CComboToolBar();

	// Generated message map functions
protected:
	//{{AFX_MSG(CComboToolBar)
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	afx_msg void OnSelectEndOk();

	DECLARE_MESSAGE_MAP()
};

#endif //COMBOBAR_H
