#if !defined(AFX_COMBOBOX_H__E7DAACC2_9906_11D2_AE64_00400533897F__INCLUDED_)
#define AFX_COMBOBOX_H__E7DAACC2_9906_11D2_AE64_00400533897F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ComboBox.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHistComboBox window

class AFX_EXT_CLASS CHistComboBox : public CComboBox
{
// Construction
public:
	CHistComboBox();

// Attributes
private:
	CStringArray* m_pHistory;
	int m_nHistMax;
public:
	CFont m_font;

// Operations
public:
	void AttachHistory(CStringArray* pHistory, int nMax = 0) 
		{ m_pHistory = pHistory; if(nMax) m_nHistMax = nMax; }
	CString GetText();
	void SetText(CString sText);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHistComboBox)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CHistComboBox();
private:
	BOOL FindText(CString sText);
	BOOL IsLiteral(CString sText);

	// Generated message map functions
protected:
	//{{AFX_MSG(CHistComboBox)
	afx_msg void OnDropDown();
	afx_msg void OnKillFocus();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMBOBOX_H__E7DAACC2_9906_11D2_AE64_00400533897F__INCLUDED_)
