// ErrorDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "ErrorDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CErrorDlg dialog


CErrorDlg::CErrorDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CErrorDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CErrorDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CErrorDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CErrorDlg)
	DDX_Control(pDX, IDS_ERRICON, m_icon);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CErrorDlg, CDialog)
	//{{AFX_MSG_MAP(CErrorDlg)
	ON_BN_CLICKED(IDYES, OnYes)
	ON_BN_CLICKED(IDYESALL, OnYesAll)
	ON_BN_CLICKED(IDNO, OnNo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CErrorDlg message handlers

BOOL CErrorDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_icon.SetIcon(AfxGetApp()->LoadStandardIcon(m_bSkip ? IDI_HAND : IDI_EXCLAMATION));
	SetWindowText(m_pCaption);
	GetDlgItem(IDS_FILENAME)->SetWindowText(m_pFile);
	GetDlgItem(IDS_ERROR)->SetWindowText(m_pMsg);
	if(m_bSkip) {
		GetDlgItem(IDYES)->SetWindowText(_T("&Skip"));
		GetDlgItem(IDYESALL)->SetWindowText(_T("Skip to &All"));
		GetDlgItem(IDNO)->SetWindowText(_T("&Retry"));
	}
	::MessageBeep(m_bSkip ? MB_ICONHAND : MB_ICONEXCLAMATION);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CErrorDlg::OnYes() 
{
	// TODO: Add your control notification handler code here
	EndDialog(IDYES);
}

void CErrorDlg::OnYesAll() 
{
	// TODO: Add your control notification handler code here
	EndDialog(IDYESALL);
}

void CErrorDlg::OnNo() 
{
	// TODO: Add your control notification handler code here
	EndDialog(IDNO);
}
