#if !defined(AFX_FTPDLG_H__E5B08E43_9A75_11D2_AE6A_00400533897F__INCLUDED_)
#define AFX_FTPDLG_H__E5B08E43_9A75_11D2_AE6A_00400533897F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// FTPDlg.h : header file
//

#include "ComboBox.h"
#include "zcftpres.h"

/////////////////////////////////////////////////////////////////////////////
// CFTPHost dialog

struct FTPInfo;

class CFTPHost : public CPropertyPage
{
	DECLARE_DYNCREATE(CFTPHost)

// Construction
public:
	CFTPHost();
	~CFTPHost();

// Dialog Data
	//{{AFX_DATA(CFTPHost)
	enum { IDD = IDD_FTP_HOST };
	CHistComboBox	m_cbServer;
	UINT	m_nPort;
	CString	m_sUserID;
	CString	m_sPassword;
	BOOL	m_bPassv;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFTPHost)
	public:
	virtual void OnOK();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	CStringArray m_sHistServer;
	FTPInfo* m_pFTPInfo;
	BOOL m_bInit;
	CString m_sServerNew;

	void Init();
	void GetInfo();
	void SetInfo();

	// Generated message map functions
	//{{AFX_MSG(CFTPHost)
	afx_msg void OnNew();
	afx_msg void OnSelEndOKServer();
	afx_msg void OnDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////
// CFTPDial dialog

class CFTPDial : public CPropertyPage
{
	DECLARE_DYNCREATE(CFTPDial)

// Construction
public:
	CFTPDial();
	~CFTPDial();

// Dialog Data
	//{{AFX_DATA(CFTPDial)
	enum { IDD = IDD_FTP_DIALUP };
	int		m_disconn;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFTPDial)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CFTPDial)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////
// CFTPTrans dialog

class CFTPTrans : public CPropertyPage
{
	DECLARE_DYNCREATE(CFTPTrans)

// Construction
public:
	CFTPTrans();
	~CFTPTrans();

// Dialog Data
	//{{AFX_DATA(CFTPTrans)
	enum { IDD = IDD_FTP_TRANSFER };
	CString	m_sTextMask;
	int		m_transfer;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFTPTrans)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CFTPTrans)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////
// CFTPDlg

class AFX_EXT_CLASS CFTPDlg : public CPropertySheet
{
	DECLARE_DYNAMIC(CFTPDlg)

// Construction
public:
	CFTPDlg(UINT nIDCaption = IDS_FTPSETTING, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
//	CFTPDlg(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	CFTPHost  m_pageHost;
	CFTPDial  m_pageDial;
	CFTPTrans m_pageTrans;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFTPDlg)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFTPDlg();

	// Generated message map functions
protected:
	//{{AFX_MSG(CFTPDlg)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	afx_msg void OnHelp();
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FTPDLG_H__E5B08E43_9A75_11D2_AE6A_00400533897F__INCLUDED_)
