#if !defined(AFX_LOGDLG_H__D2420A12_8DD6_11D2_ADFD_00400533897F__INCLUDED_)
#define AFX_LOGDLG_H__D2420A12_8DD6_11D2_ADFD_00400533897F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// LogDlg.h : header file
//

#include "resource.h"
#include "RichCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// CLogDlg dialog

class CZCInfo;

class CLogDlg : public CDialog
{
// Construction
public:
	CLogDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLogDlg)
	enum { IDD = IDD_LOG };
	CStatic	m_stPath;
	CStatic	m_stFileName;
	CStatic	m_stCounter;
	CStatic	m_stRemain;
	CProgressCtrl	m_progress;
	CRichEditCtrl	m_editLog;
	BOOL	m_bHideDlg;
	//}}AFX_DATA

	void Done();
	void ClearLog();
	void InitLog();
	void CloseLog();
	void AddLog(CString sText);
	void OpenLog(BOOL bOpen);
	void DrawPath(CString sSrcPath, CString sDstPath);
	void DrawFileName(LPCTSTR pFileName);
	void DrawStatus(DWORDLONG dwlTotalBytes, DWORDLONG dwlDoneBytes, int nTotlaFiles, int nDoneFiles);
	void DrawStatus(DWORDLONG dwlTotalBytes, DWORDLONG dwlDoneBytes);
	void SaveLog();
	void SetInitializeMode(BOOL bInit);
	void StartOperation(BOOL bShowProgress = TRUE);
	void EndOperation();

	CZCInfo* m_pInfo;
	DoMode m_bExec;
	BOOL m_bDone;
	BOOL m_bCanceled;
	BOOL m_bLogOpen;
	BOOL m_bTray;
private:
	int m_nHeight;
	CWnd* m_pParent;
	CString GetArrow();
	SYSTEMTIME m_stStart;
	SYSTEMTIME m_stEnd;

	BOOL m_bInit;
	int  m_nPos;
	DWORD m_dwTickStart;
public:
	DWORDLONG m_dwlTotalBytes;
	DWORDLONG m_dwlDoneBytes;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLogDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLogDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnCancel();
	afx_msg void OnLogOpen();
	afx_msg void OnHideDlg();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnStnClickedPath();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGDLG_H__D2420A12_8DD6_11D2_ADFD_00400533897F__INCLUDED_)
