/////////////////////////////////////////////////////////////////////////////
// TrayIcon.h

#ifndef _TRAYICON_H
#define _TRAYICON_H

#include "resource.h"

class CTrayIcon : public CCmdTarget
{
protected:
	DECLARE_DYNAMIC(CTrayIcon)
	NOTIFYICONDATA m_nid;

public:
	CTrayIcon();
	~CTrayIcon();

	void Init(CWnd* pNotifyWnd, UINT uID, UINT uCbMsg);
	BOOL SetIcon(HICON hicon, LPCTSTR lpTip = NULL);
	BOOL SetTips(LPCTSTR lpTip) { return SetIcon(m_nid.hIcon, lpTip); }
	BOOL IsShow() { return m_nid.uID != 0; }
	void PopupMenu(CMenu* pMenu = NULL);
	BOOL IsMenuOpened() { return m_bMenuOpened; }
private:
	BOOL m_bMenuOpened;
};

#endif
