// ZCopyDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ZCopy.h"
#include "ZCopyDlg.h"
#include "ZCInfo.h"
#include "LogDlg.h"
#include "FTPDlg.h"
#include "FTP.h"
#include "zczb.h"
#include "afxpriv.h"
#include "hlp\topics.h"
#include <shlobj.h>
#include <afxdtctl.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define WM_TRAY_NOTIFICATION (WM_USER + 1)

#define ID_TIMER 1
#define TIMER_INTERVAL 1000

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CLabelDlg dialog

class CLabelDlg : public CDialog
{
// Construction
public:
	CLabelDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLabelDlg)
	enum { IDD = IDD_LABEL };
	CString	m_sLabel;
	//}}AFX_DATA
	CString	m_sTitle;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLabelDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLabelDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CLabelDlg::CLabelDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLabelDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLabelDlg)
	m_sLabel = _T("");
	//}}AFX_DATA_INIT
}


void CLabelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLabelDlg)
	DDX_Text(pDX, IDE_LABEL, m_sLabel);
	DDV_MaxChars(pDX, m_sLabel, 32);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLabelDlg, CDialog)
	//{{AFX_MSG_MAP(CLabelDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLabelDlg message handlers

BOOL CLabelDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if(!m_sTitle.IsEmpty())
		SetWindowText(m_sTitle);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

/////////////////////////////////////////////////////////////////////////////
// CLoadSaveDlg dialog

class CLoadSaveDlg : public CDialog
{
// Construction
public:
	CLoadSaveDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLoadSaveDlg)
	enum { IDD = IDD_LOADSAVE };
	CStatic	m_icon;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLoadSaveDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLoadSaveDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSavePrivate();
	afx_msg void OnLoadPrivate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CLoadSaveDlg dialog

CLoadSaveDlg::CLoadSaveDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLoadSaveDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLoadSaveDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CLoadSaveDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLoadSaveDlg)
	DDX_Control(pDX, IDC_LOADSAVEICON, m_icon);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLoadSaveDlg, CDialog)
	//{{AFX_MSG_MAP(CLoadSaveDlg)
	ON_BN_CLICKED(IDB_SAVEINI, OnSavePrivate)
	ON_BN_CLICKED(IDB_LOADINI, OnLoadPrivate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLoadSaveDlg message handlers

BOOL CLoadSaveDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_icon.SetIcon(AfxGetApp()->LoadStandardIcon(IDI_QUESTION));
	MessageBeep(MB_ICONQUESTION);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void CLoadSaveDlg::OnSavePrivate() 
{
	// TODO: Add your control notification handler code here
	((CZCopyApp*)AfxGetApp())->LoadSavePrivate(TRUE);
	AfxMessageBox(IDS_SAVEINIOK, MB_ICONINFORMATION);
	EndDialog(IDOK);
}

void CLoadSaveDlg::OnLoadPrivate() 
{
	// TODO: Add your control notification handler code here
	if(((CZCopyApp*)AfxGetApp())->LoadSavePrivate(FALSE))
		AfxMessageBox(IDS_LOADINIOK, MB_ICONINFORMATION);
	else
		AfxMessageBox(IDS_ERR_INI_NOTFOUND);
	EndDialog(IDOK);
}


/////////////////////////////////////////////////////////////////////////////
// COptionDlg dialog

class COptionDlg : public CDialog
{
// Construction
public:
	COptionDlg(CWnd* pParent = NULL);   // standard constructor

	BOOL	m_bTabMultiChanged;

// Dialog Data
	//{{AFX_DATA(COptionDlg)
	enum { IDD = IDD_OPTION };
	BOOL	m_bOnTray;
	UINT	m_dwBuffer;
	UINT	m_dwBufferFTP;
	UINT	m_nHistMax;
	BOOL	m_bShellBrowser;
	BOOL	m_bSchedule;
	UINT	m_nHour;
	BOOL	m_bSaveLog;
	UINT	m_nSaveLogHist;
	BOOL	m_bTabMulti;
	BOOL	m_bRoundFT;
	BOOL	m_bNoCalcTotal;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COptionDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnHelp();
	afx_msg void OnClickTray();
	afx_msg void OnSavelog();
	afx_msg void OnOpenlog();
	afx_msg void OnLoadSavePrivate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

COptionDlg::COptionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COptionDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COptionDlg)
	m_bOnTray = options.m_bOnTray;
	m_dwBuffer = options.m_dwBuffer;
	m_dwBufferFTP = options.m_dwBufferFTP;
	m_nHistMax = options.m_nHistMax;
	m_bShellBrowser = options.m_bShellBrowser;
	m_bSchedule = options.m_bSchedule;
	m_nHour = options.m_nHour;
	m_bSaveLog = options.m_bSaveLog;
	m_nSaveLogHist = options.m_nSaveLogHist;
	m_bTabMulti = options.m_bTabMulti;
	m_bRoundFT = options.m_uRoundFT;
	m_bNoCalcTotal = options.m_bNoCalcTotal;
	//}}AFX_DATA_INIT
	m_bTabMultiChanged = FALSE;
}

void COptionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptionDlg)
	DDX_Check(pDX, IDB_TRAY, m_bOnTray);
	DDX_Text(pDX, IDE_BUFFSIZE, m_dwBuffer);
	DDX_Text(pDX, IDE_FTPBUFFSIZE, m_dwBufferFTP);
	DDX_Text(pDX, IDE_HISTORY_MAX, m_nHistMax);
	DDV_MinMaxUInt(pDX, m_nHistMax, 1, 32);
	DDX_Check(pDX, IDB_SHELLBROWSER, m_bShellBrowser);
	DDX_Check(pDX, IDB_SCHEDULE, m_bSchedule);
	DDX_Text(pDX, IDE_HOUR, m_nHour);
	DDV_MinMaxUInt(pDX, m_nHour, 0, 23);
	DDX_Check(pDX, IDB_SAVELOG, m_bSaveLog);
	DDX_Text(pDX, IDE_SAVELOG_MAX, m_nSaveLogHist);
	DDX_Check(pDX, IDB_TABMULTI, m_bTabMulti);
	DDX_Check(pDX, IDB_ROUNDFT, m_bRoundFT);
	DDX_Check(pDX, IDB_NOCALCTOTAL, m_bNoCalcTotal);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(COptionDlg, CDialog)
	//{{AFX_MSG_MAP(COptionDlg)
	ON_BN_CLICKED(IDHELP, OnHelp)
	ON_BN_CLICKED(IDB_TRAY, OnClickTray)
	ON_BN_CLICKED(IDB_SAVELOG, OnSavelog)
	ON_BN_CLICKED(IDB_OPENLOG, OnOpenlog)
	ON_BN_CLICKED(IDB_SCHEDULE, OnClickTray)
	ON_BN_CLICKED(IDB_LOADSAVEINI, OnLoadSavePrivate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptionDlg message handlers

BOOL COptionDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	OnClickTray();
	OnSavelog();
	// TODO: Add extra initialization here
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void COptionDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData(TRUE);
	options.m_bOnTray = m_bOnTray;
	options.m_dwBuffer = m_dwBuffer;
	options.m_dwBufferFTP = m_dwBufferFTP;
	options.m_nHistMax = m_nHistMax;
	options.m_bShellBrowser = m_bShellBrowser;
	options.m_bSchedule = m_bSchedule;
	options.m_nHour = m_nHour;
	options.m_bSaveLog = m_bSaveLog;
	options.m_nSaveLogHist = m_nSaveLogHist;
	if(options.m_bTabMulti != m_bTabMulti) {
		options.m_bTabMulti = m_bTabMulti;
		m_bTabMultiChanged = TRUE;
	}
	options.m_uRoundFT = m_bRoundFT;
	options.m_bNoCalcTotal = m_bNoCalcTotal;

	options.Touch();
	CDialog::OnOK();
}

void COptionDlg::OnHelp() 
{
	// TODO: Add your control notification handler code here
	AfxGetApp()->WinHelp(HID_ZCOPY_OPTIONS);
}

void COptionDlg::OnClickTray() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	GetDlgItem(IDB_SCHEDULE)->EnableWindow(m_bOnTray);
	GetDlgItem(IDE_HOUR)->EnableWindow(m_bOnTray && m_bSchedule);
	GetDlgItem(IDS_HOUR)->EnableWindow(m_bOnTray && m_bSchedule);
}


void COptionDlg::OnSavelog() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	GetDlgItem(IDE_SAVELOG_MAX)->EnableWindow(m_bSaveLog);
}

void COptionDlg::OnOpenlog() 
{
	// TODO: Add your control notification handler code here
	::ShellExecute(AfxGetMainWnd()->GetSafeHwnd(), _T("open") , GetLogPath(), NULL, NULL, SW_SHOWNORMAL);
}

void COptionDlg::OnLoadSavePrivate() 
{
	// TODO: Add your control notification handler code here
	if(CLoadSaveDlg().DoModal() == IDOK)
		EndDialog(IDCANCEL);
}

/////////////////////////////////////////////////////////////////////////////
// CCompareDlg dialog

class CCompareDlg : public CDialog
{
// Construction
public:
	CCompareDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCompareDlg)
	enum { IDD = IDD_COMPARE };
	BOOL	m_bExistSrc;
	BOOL	m_bExistDst;
	BOOL	m_bLength;
	BOOL	m_bMismatch;
	BOOL	m_bTime;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCompareDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCompareDlg)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CCompareDlg::CCompareDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCompareDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCompareDlg)
	m_bExistSrc = !!(options.m_fCompare & OP_CMP_IN_SRC);
	m_bExistDst = !!(options.m_fCompare & OP_CMP_IN_DST);
	m_bLength = !!(options.m_fCompare & OP_CMP_LENGTH);
	m_bMismatch = !!(options.m_fCompare & OP_CMP_MISMATCH);
	m_bTime = !!(options.m_fCompare & OP_CMP_TIME);
	//}}AFX_DATA_INIT
}


void CCompareDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCompareDlg)
	DDX_Check(pDX, IDB_EXIST_SRC, m_bExistSrc);
	DDX_Check(pDX, IDB_EXIST_DST, m_bExistDst);
	DDX_Check(pDX, IDB_LENGTH, m_bLength);
	DDX_Check(pDX, IDB_MISMATCH, m_bMismatch);
	DDX_Check(pDX, IDB_TIME, m_bTime);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCompareDlg, CDialog)
	//{{AFX_MSG_MAP(CCompareDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCompareDlg message handlers

void CCompareDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData(TRUE);
	options.m_fCompare = m_bExistSrc * OP_CMP_IN_SRC | m_bExistDst * OP_CMP_IN_DST
						| m_bLength * OP_CMP_LENGTH | m_bMismatch * OP_CMP_MISMATCH | m_bTime * OP_CMP_TIME;
	options.Touch();
	CDialog::OnOK();
}

/////////////////////////////////////////////////////////////////////////////
// CDateDialog dialog

class CDateDialog : public CDialog
{
// Construction
public:
	CDateDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDateDialog)
	enum { IDD = IDD_DATE };
	CTime	m_date;
	CTime	m_time;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDateDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDateDialog)
	afx_msg void OnDateNow();
	afx_msg void OnTimeClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CDateDialog dialog

CDateDialog::CDateDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CDateDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDateDialog)
	m_date = 0;
	m_time = 0;
	//}}AFX_DATA_INIT
}


void CDateDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDateDialog)
	DDX_DateTimeCtrl(pDX, IDC_DATE, m_date);
	DDX_DateTimeCtrl(pDX, IDC_TIME, m_time);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDateDialog, CDialog)
	//{{AFX_MSG_MAP(CDateDialog)
	ON_BN_CLICKED(IDB_DATE_NOW, OnDateNow)
	ON_BN_CLICKED(IDB_TIME_CLEAR, OnTimeClear)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDateDialog message handlers

void CDateDialog::OnDateNow() 
{
	// TODO: Add your control notification handler code here
	m_date = CTime(CTime::GetCurrentTime());
	m_time = CTime(CTime::GetCurrentTime());
	UpdateData(FALSE);
}

void CDateDialog::OnTimeClear() 
{
	// TODO: Add your control notification handler code here
	m_time = CTime(0, 0);
	UpdateData(FALSE);
}

/////////////////////////////////////////////////////////////////////////////
// CSizeDialog dialog

class CSizeDialog : public CDialog
{
// Construction
public:
	CSizeDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSizeDialog)
	enum { IDD = IDD_SIZE };
	int		m_nBySizeMode;
	int		m_nBySizeUnit;
	DWORD	m_dwBySize;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSizeDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSizeDialog)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CSizeDialog dialog

CSizeDialog::CSizeDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CSizeDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSizeDialog)
	m_nBySizeMode = -1;
	m_nBySizeUnit = -1;
	m_dwBySize = 0;
	//}}AFX_DATA_INIT
}

void CSizeDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSizeDialog)
	DDX_Radio(pDX, IDB_LARGER, m_nBySizeMode);
	DDX_Radio(pDX, IDB_BYTE, m_nBySizeUnit);
	DDX_Text(pDX, IDE_SIZE, m_dwBySize);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSizeDialog, CDialog)
	//{{AFX_MSG_MAP(CSizeDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSizeDialog message handlers

/////////////////////////////////////////////////////////////////////////////
//
// CZCopyDlg dialog
//
/////////////////////////////////////////////////////////////////////////////

CZCopyDlg::CZCopyDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CZCopyDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CZCopyDlg)
	m_opmode = -1;
	m_bInclude = FALSE;
	m_bExclude = FALSE;
	m_bSubDir = FALSE;
	m_bHidden = FALSE;
	m_bNoOVW = FALSE;
	m_bOVW = FALSE;
	m_bByTarget = FALSE;
	m_bBackup = FALSE;
	m_bSrcFTP = FALSE;
	m_bDstFTP = FALSE;
	m_bIgnoreError = FALSE;
	m_bDayAfter = FALSE;
	m_bBySize = FALSE;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_hIconSmall = (HICON)::LoadImage(AfxGetApp()->m_hInstance, MAKEINTRESOURCE(IDR_MAINFRAME)
									  , IMAGE_ICON, 16, 16, LR_DEFAULTCOLOR);
	m_bShutdown = FALSE;
	m_nLastBackupDay = 0;
}

void CZCopyDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CZCopyDlg)
	DDX_Control(pDX, IDC_SRCPATH, m_cbSrcPath);
	DDX_Control(pDX, IDC_DSTPATH, m_cbDstPath);
	DDX_Control(pDX, IDC_INCMASK, m_cbIncMask);
	DDX_Control(pDX, IDC_EXCMASK, m_cbExcMask);
	DDX_Control(pDX, IDC_TAB, m_tabCtrl);
	DDX_Control(pDX, IDS_REPORT, m_stReport);
	DDX_CBIndex(pDX, IDC_OPERATION, m_opmode);
	DDX_Check(pDX, IDB_INCLUDE, m_bInclude);
	DDX_Check(pDX, IDB_EXCLUDE, m_bExclude);
	DDX_Check(pDX, IDB_SUBDIR, m_bSubDir);
	DDX_Check(pDX, IDB_HIDDEN, m_bHidden);
	DDX_Check(pDX, IDB_NO_OVERWRITE, m_bNoOVW);
	DDX_Check(pDX, IDB_OVERWRITE, m_bOVW);
	DDX_Check(pDX, IDB_BYTARGET, m_bByTarget);
	DDX_Check(pDX, IDB_BACKUP, m_bBackup);
	DDX_Check(pDX, IDB_SRCFTP, m_bSrcFTP);
	DDX_Check(pDX, IDB_DSTFTP, m_bDstFTP);
	DDX_Check(pDX, IDB_IGNORE_ERROR, m_bIgnoreError);
	DDX_Check(pDX, IDB_DAYAFTER, m_bDayAfter);
	DDX_Check(pDX, IDB_BYSIZE, m_bBySize);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CZCopyDlg, CDialog)
	//{{AFX_MSG_MAP(CZCopyDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_NOTIFY(TCN_SELCHANGE, IDC_TAB, OnSelchangeTab)
	ON_BN_CLICKED(IDB_ADD_TAB, OnAddTab)
	ON_BN_CLICKED(IDB_INCLUDE, OnInclude)
	ON_BN_CLICKED(IDB_EXCLUDE, OnExclude)
	ON_BN_CLICKED(IDB_REMOVE_TAB, OnRemoveTab)
	ON_BN_CLICKED(IDB_LISTING, OnListing)
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDCLOSE, OnCloseBtn)
	ON_BN_CLICKED(IDB_RESET, OnReset)
	ON_BN_CLICKED(IDB_SRCBROWSE, OnSrcBrowse)
	ON_BN_CLICKED(IDB_DSTBROWSE, OnDstBrowse)
	ON_BN_CLICKED(IDB_OPTION, OnOption)
	ON_BN_CLICKED(IDB_SHIFT_L_TAB, OnShiftLeftTab)
	ON_BN_CLICKED(IDB_SHIFT_R_TAB, OnShiftRightTab)
#ifndef NO_FTP
	ON_BN_CLICKED(IDB_SRCFTP, OnSrcFTP)
	ON_BN_CLICKED(IDB_DSTFTP, OnDstFTP)
	ON_BN_CLICKED(IDB_FTPSETTING, OnFTPSetting)
	ON_BN_CLICKED(IDB_CONNECT, OnConnect)
#endif
	ON_BN_CLICKED(IDB_RENAME_TAB, OnRenameTab)
	ON_BN_CLICKED(IDB_OPOPTION, OnOpOption)
	ON_WM_TIMER()
	ON_CBN_SELCHANGE(IDC_OPERATION, OnSelChangeOperation)
	ON_BN_CLICKED(IDB_DO_BACKUP, OnDoBackup)
	ON_BN_CLICKED(IDB_BACKUP, OnCheckBackup)
	ON_BN_CLICKED(IDB_DATESETTING, OnDateSetting)
	ON_BN_CLICKED(IDB_SIZESETTING, OnSizeSetting)
	ON_BN_CLICKED(IDB_BYSIZE, OnBySize)
	//}}AFX_MSG_MAP
	ON_MESSAGE(WM_TRAY_NOTIFICATION, OnTrayNotification)
#ifndef NO_FTP
	ON_MESSAGE(WM_FTP_CONNECT, OnFTPConnect)
#endif
	ON_COMMAND(ID_TRAY_OPEN, OnTrayOpen)
	ON_COMMAND(ID_TRAY_EXIT, OnTrayExit)
	ON_COMMAND_RANGE(ID_AUTO_BACKUP, ID_TRAY_DO + TAB_MAX, OnTrayBackup)
	ON_COMMAND(ID_TRAY_BROWSER, OnTrayBrowse)
	ON_MESSAGE(WM_BROWSE_FOLDER, OnBrowseFolder)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CZCopyDlg message handlers

BOOL CZCopyDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIconSmall, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	if(options.m_bOnTray)
		ShowTray(TRUE);

	CRect rSheet;
	m_tabCtrl.GetWindowRect(rSheet);
	m_nTabRowCount = 1;			// ###1.20

	Init();

	if(AfxGetApp()->m_nCmdShow == SW_SHOWMINNOACTIVE) {
		options.m_bOnTray = TRUE;
		PostMessage(WM_CLOSE);
	}

	::SetWindowLong(GetSafeHwnd(), GWL_USERDATA, ZC_USER_DATA);	// ###0.92

	SetTimer(ID_TIMER, TIMER_INTERVAL, NULL);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CZCopyDlg::Init() // ###1.21
{
	InitTab();
	ResetSheetSize();
	m_cbIncMask.AttachHistory(&m_sHistMask, options.m_nHistMax);
	m_cbExcMask.AttachHistory(&m_sHistMask, options.m_nHistMax);
}

void CZCopyDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CZCopyDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CZCopyDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

/////////////////////////////////////////////////////////////////////////////
// overwrite CDialog::DoModal() for suppress ShowWindow

int CZCopyDlg::DoModal()
{
	// can be constructed with a resource template or InitModalIndirect
	ASSERT(m_lpszTemplateName != NULL || m_hDialogTemplate != NULL ||
		m_lpDialogTemplate != NULL);

	// load resource as necessary
	LPCDLGTEMPLATE lpDialogTemplate = m_lpDialogTemplate;
	HGLOBAL hDialogTemplate = m_hDialogTemplate;
	HINSTANCE hInst = AfxGetResourceHandle();
	if (m_lpszTemplateName != NULL)
	{
		hInst = AfxFindResourceHandle(m_lpszTemplateName, RT_DIALOG);
		HRSRC hResource = ::FindResource(hInst, m_lpszTemplateName, RT_DIALOG);
		hDialogTemplate = LoadResource(hInst, hResource);
	}
	if (hDialogTemplate != NULL)
		lpDialogTemplate = (LPCDLGTEMPLATE)LockResource(hDialogTemplate);

	// return -1 in case of failure to load the dialog template resource
	if (lpDialogTemplate == NULL)
		return -1;

	// disable parent (before creating dialog)
	HWND hWndParent = PreModal();
	AfxUnhookWindowCreate();
	CWnd* pParentWnd = CWnd::FromHandle(hWndParent);
	BOOL bEnableParent = FALSE;
	if (hWndParent != NULL && ::IsWindowEnabled(hWndParent))
	{
		::EnableWindow(hWndParent, FALSE);
		bEnableParent = TRUE;
	}

//	TRY
//	{
		// create modeless dialog
		AfxHookWindowCreate(this);
		if (CreateDlgIndirect(lpDialogTemplate, CWnd::FromHandle(hWndParent), hInst))
		{
/////
			if(AfxGetApp()->m_nCmdShow == SW_SHOWMINNOACTIVE)
				::SetWindowLong(GetSafeHwnd(), GWL_STYLE, GetStyle() | WS_VISIBLE);
/////
			if (m_nFlags & WF_CONTINUEMODAL)
			{
				// enter modal loop
				DWORD dwFlags = MLF_SHOWONIDLE;
				if (GetStyle() & DS_NOIDLEMSG)
					dwFlags |= MLF_NOIDLEMSG;
				VERIFY(RunModalLoop(dwFlags) == m_nModalResult);
			}

			// hide the window before enabling the parent, etc.
			if (m_hWnd != NULL)
				SetWindowPos(NULL, 0, 0, 0, 0, SWP_HIDEWINDOW|
					SWP_NOSIZE|SWP_NOMOVE|SWP_NOACTIVATE|SWP_NOZORDER);
		}
//	}
//	CATCH_ALL(e)
//	{
//		DELETE_EXCEPTION(e);
		else
			m_nModalResult = -1;
//	}
//	END_CATCH_ALL

	if (bEnableParent)
		::EnableWindow(hWndParent, TRUE);
	if (hWndParent != NULL && ::GetActiveWindow() == m_hWnd)
		::SetActiveWindow(hWndParent);

	// destroy modal window
	DestroyWindow();
	PostModal();

	// unlock/free resources as necessary
	if (m_lpszTemplateName != NULL || m_hDialogTemplate != NULL)
		UnlockResource(hDialogTemplate);
	if (m_lpszTemplateName != NULL)
		FreeResource(hDialogTemplate);

	return m_nModalResult;
}

/////////////////////////////////////////////////////////////////////////////
// Tray handlers

void CZCopyDlg::ShowTray(BOOL bShow)
{
	if(bShow) {
		m_trayIcon.Init(this, IDR_TRAYICON, WM_TRAY_NOTIFICATION);
		m_trayIcon.SetIcon(m_hIconSmall);
	} else
		m_trayIcon.SetIcon(0);
}

LRESULT CZCopyDlg::OnTrayNotification(WPARAM uID, LPARAM nMouseMsg)
{
	static UINT nCommandID = 0;

	switch(nMouseMsg) {
	case WM_LBUTTONDOWN:
		if(GetInfoCount() > 1) {
			CMenu menu;
			menu.LoadMenu(IDR_TRAYEXEC);
			CMenu* pMenu = menu.GetSubMenu(0);
			for(int i = 1; i < GetInfoCount(); i++) {
				CZCInfo* pInfo = GetInfoPtr(i);
				pMenu->InsertMenu(0, MF_STRING + (pInfo->m_option & OPT_BACKUP) ? MF_CHECKED : 0, ID_TRAY_DO + i, pInfo->GetTitle());
			}
			if(GetBackupCount() == 0)
				pMenu->EnableMenuItem(ID_TRAY_DO, MF_BYCOMMAND | MF_GRAYED);
			m_trayIcon.PopupMenu(pMenu);
		}
		break;
	case WM_RBUTTONDOWN:
		m_trayIcon.PopupMenu();
		break;
	case WM_LBUTTONDBLCLK:
//		nCommandID = ID_TRAY_DO;
//		if(m_trayIcon.IsMenuOpened()) return 1;
//		break;
	case WM_RBUTTONDBLCLK:
		nCommandID = ID_TRAY_OPEN;
		if(m_trayIcon.IsMenuOpened()) return 1;
		break;
	default:
		return 0;
	}
	if(nCommandID) {
		PostMessage(WM_COMMAND, nCommandID);
		nCommandID = 0;
	}
	return 1;
}

void CZCopyDlg::OnTrayOpen()
{
	ShowWindow(SW_SHOW);
}

void CZCopyDlg::OnTrayExit()
{
	m_bShutdown = TRUE;
	SendMessage(WM_CLOSE);
}

void CZCopyDlg::OnTrayBackup(UINT nID)
{
	if(nID == ID_TRAY_DO || nID == ID_AUTO_BACKUP) {
		for(int i = 1; i < GetInfoCount(); i++) {
			CZCInfo* pInfo = GetInfoPtr(i);
			if(pInfo->m_option & OPT_BACKUP)
				OnExec(/*nID == ID_TRAY_DO ? DO_EXEC : */DO_AUTOEXEC, pInfo);	// ###1.01
		}
	} else
		OnExec(DO_EXEC, GetInfoPtr(nID - ID_TRAY_DO));
}

/////////////////////////////////////////////////////////////////////////////
// CZCopyDlg main

void CZCopyDlg::InitTab(BOOL bTouch)
{
	if(bTouch) Touch();
	m_tabCtrl.DeleteAllItems();
	for_to(i, GetInfoCount()) {
		TC_ITEM tcItem;
		tcItem.mask = TCIF_TEXT;
	    tcItem.pszText = (LPTSTR)(LPCTSTR)GetInfoPtr(i)->m_sLabel;
		m_tabCtrl.InsertItem(i, &tcItem);
	}
	m_tabCtrl.SetCurSel(m_iSel);
	SetInfo();
	InitButtons();
	InitBackupButton();
}

void CZCopyDlg::OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	GetInfo();
	m_iSel = m_tabCtrl.GetCurSel();
	SetInfo();
	InitButtons();
	Touch();
	*pResult = 0;
}

BOOL CZCopyDlg::PreTranslateMessage(MSG* pMsg)		// ###0.92
{
	// TODO: Add your specialized code here and/or call the base class
	if(pMsg->message == WM_KEYDOWN) {
		if(pMsg->wParam == VK_TAB && ::GetKeyState(VK_CONTROL) < 0)	{
			GetInfo();
			if(::GetKeyState(VK_SHIFT) >= 0) {
				if(++m_iSel >= GetInfoCount()) m_iSel = 0;
			} else {
				if(--m_iSel < 0) m_iSel = GetInfoCount() - 1;
			}
			m_tabCtrl.SetCurSel(m_iSel);
			SetInfo();
			InitButtons();
			Touch();
			return TRUE;
		}
	}	
	return CDialog::PreTranslateMessage(pMsg);
}

void CZCopyDlg::SetInfo()
{
	CZCInfo* pInfo = GetInfoPtr(m_iSel);
	m_cbSrcPath.SetWindowText(pInfo->m_sSrcPath);
	m_cbDstPath.SetWindowText(pInfo->m_sDstPath);
	m_cbIncMask.SetWindowText(pInfo->m_sIncMask);
	m_cbExcMask.SetWindowText(pInfo->m_sExcMask);
	m_stReport.SetWindowText(pInfo->m_sReport);
	m_bInclude = !!(pInfo->m_option & OPT_INCLUDE);
	m_bExclude = !!(pInfo->m_option & OPT_EXCLUDE);
	m_bSubDir  = !!(pInfo->m_option & OPT_SUBDIR);
	m_bHidden  = !!(pInfo->m_option & OPT_HIDDEN);
	m_bNoOVW   = !!(pInfo->m_option & OPT_NOOVW);
	m_bOVW     = !!(pInfo->m_option & OPT_OVW);
	m_bByTarget= !!(pInfo->m_option & OPT_BYTARGET);
	m_bIgnoreError = !!(pInfo->m_option & OPT_IGNORE_ERROR);
	m_bDayAfter = !!(pInfo->m_option & OPT_DAYAFTER);
	m_bBySize  = !!(pInfo->m_option & OPT_BYSIZE);
	m_bBackup  = !!(pInfo->m_option & OPT_BACKUP);
	m_bSrcFTP  = !!(pInfo->m_option & OPT_SRCFTP);
	m_bDstFTP  = !!(pInfo->m_option & OPT_DSTFTP);
	m_opmode   = pInfo->m_opmode;
	UpdateData(FALSE);
	OnInclude();
	OnExclude();
	OnBySize();
	OnSelChangeOperation();
#ifndef NO_FTP
	InitFTP();
#endif
}

void CZCopyDlg::GetInfo()
{
	CZCInfo* pInfo = GetInfoPtr(m_iSel);
	UpdateData(TRUE);
	GetText(m_cbSrcPath, pInfo->m_sSrcPath);
	GetText(m_cbDstPath, pInfo->m_sDstPath);
	GetText(m_cbIncMask, pInfo->m_sIncMask);
	GetText(m_cbExcMask, pInfo->m_sExcMask);
	BOOL bNoOVW = m_bNoOVW && GetDlgItem(IDB_NO_OVERWRITE)->IsWindowEnabled();
	BOOL bOVW   = m_bOVW && GetDlgItem(IDB_OVERWRITE)->IsWindowEnabled();
	BOOL bByTarget = m_bByTarget && GetDlgItem(IDB_BYTARGET)->IsWindowEnabled();
	BOOL bDstFTP = m_bDstFTP && GetDlgItem(IDB_DSTFTP)->IsWindowEnabled();
	BOOL bDayAfter = m_bDayAfter && GetDlgItem(IDB_DAYAFTER)->IsWindowEnabled();
	UINT option = m_bInclude * OPT_INCLUDE | m_bExclude * OPT_EXCLUDE
					| m_bSubDir * OPT_SUBDIR | m_bHidden * OPT_HIDDEN
					| bNoOVW * OPT_NOOVW | bOVW * OPT_OVW | bByTarget * OPT_BYTARGET | m_bIgnoreError * OPT_IGNORE_ERROR
					| m_bBackup * OPT_BACKUP | bDayAfter * OPT_DAYAFTER | m_bBySize * OPT_BYSIZE
					| m_bSrcFTP * OPT_SRCFTP | bDstFTP * OPT_DSTFTP;
	if(pInfo->m_option != option) {
		pInfo->m_option = option;
		Touch();
	}
	if(pInfo->m_opmode != (OpMode)m_opmode) {
		pInfo->m_opmode = (OpMode)m_opmode;
		Touch();
	}
}

void CZCopyDlg::GetText(CHistComboBox& combo, CString& sText)
{
	CString sText1 = combo.GetText();
	if(sText != sText1) {
		sText = sText1;
		Touch();
	}
}

void CZCopyDlg::OnAddTab() 
{
	// TODO: Add your control notification handler code here
	CLabelDlg labelDlg;
	if(labelDlg.DoModal() == IDOK) {
		GetInfo();
		GetInfoPtr(0)->m_sLabel = labelDlg.m_sLabel;
		New();
		m_iSel = 1;
		InitTab(TRUE);
		ResetSheetSize();
	}
}

void CZCopyDlg::OnRemoveTab() 
{
	// TODO: Add your control notification handler code here
	CString sMsg;
	sMsg.Format(IDS_REMOVETAB, GetInfoPtr(m_iSel)->m_sLabel);
	if(AfxMessageBox(sMsg, MB_OKCANCEL) == IDOK) {
		Remove(m_iSel);
		InitTab(TRUE);
		ResetSheetSize();
	}
}

void CZCopyDlg::OnRenameTab() 
{
	// TODO: Add your control notification handler code here
	CLabelDlg labelDlg;
	labelDlg.m_sLabel = GetInfoPtr(m_iSel)->m_sLabel;
	labelDlg.m_sTitle = _T("Rename Label");
	if(labelDlg.DoModal() == IDOK) {
		GetInfoPtr(m_iSel)->m_sLabel = labelDlg.m_sLabel;
		TC_ITEM tcItem;
		tcItem.mask = TCIF_TEXT;
	    tcItem.pszText = (LPTSTR)(LPCTSTR)labelDlg.m_sLabel;
		m_tabCtrl.SetItem(m_iSel, &tcItem);
		Touch();
	}	
}

void CZCopyDlg::OnShiftLeftTab() 
{
	// TODO: Add your control notification handler code here
	GetInfo();
	Swap(m_arrInfo[m_iSel-1], m_arrInfo[m_iSel]);
	m_iSel--;
	SetInfo();
	InitTab(TRUE);
}

void CZCopyDlg::OnShiftRightTab() 
{
	// TODO: Add your control notification handler code here
	GetInfo();
	Swap(m_arrInfo[m_iSel], m_arrInfo[m_iSel+1]);
	m_iSel++;
	SetInfo();
	InitTab(TRUE);
}

void CZCopyDlg::OnInclude() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	GetDlgItem(IDC_INCMASK)->EnableWindow(m_bInclude);
}

void CZCopyDlg::OnExclude() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	GetDlgItem(IDC_EXCMASK)->EnableWindow(m_bExclude);
}

void CZCopyDlg::InitButtons()
{
	GetDlgItem(IDB_ADD_TAB)->EnableWindow(m_iSel == 0);
	GetDlgItem(IDB_REMOVE_TAB)->EnableWindow(m_iSel != 0);
	GetDlgItem(IDB_RENAME_TAB)->EnableWindow(m_iSel != 0);
	GetDlgItem(IDB_SHIFT_L_TAB)->EnableWindow(m_iSel > 1);
	GetDlgItem(IDB_SHIFT_R_TAB)->EnableWindow(m_iSel && m_iSel < GetInfoCount()-1);
}

void CZCopyDlg::OnBySize() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	GetDlgItem(IDB_SIZESETTING)->EnableWindow(m_bBySize);
}

void CZCopyDlg::OnOK() 
{
	// TODO: Add extra validation here
	OnExec(DO_EXEC);
}

void CZCopyDlg::OnListing() 
{
	// TODO: Add your control notification handler code here
	OnExec(DO_LIST);
}

void CZCopyDlg::OnExec(DoMode bExec, CZCInfo* pInfo)
{
	BOOL bTray = (pInfo != NULL);
	if(!pInfo) {
		GetInfo();
		pInfo = GetInfoPtr(m_iSel);
	}

	CString sSrcPath = ParseEnv(pInfo->m_sSrcPath);
	CString sDstPath = ParseEnv(pInfo->m_sDstPath);
	if(sSrcPath == ENV_NOTFOUND) {
		m_cbSrcPath.SetFocus();
		return;
	}
	if(sDstPath == ENV_NOTFOUND) {
		m_cbDstPath.SetFocus();
		return;
	}
	BOOL bDest = (pInfo->m_opmode != OPE_DELETE && pInfo->m_opmode != OPE_FIND);	// ###1.20
	if(sSrcPath.IsEmpty() || bDest && sDstPath.IsEmpty()) {
		AfxMessageBox(IDS_ERR_EMPTYPATH);
		if(sSrcPath.IsEmpty()) m_cbSrcPath.SetFocus();
		else m_cbDstPath.SetFocus();
		return;
	}
	if(bDest && sSrcPath.CompareNoCase(sDstPath) == 0) {
		AfxMessageBox(IDS_ERR_SAMEPATH);
		m_cbSrcPath.SetFocus();
		return;
	}
#ifndef NO_FTP
	if(!(pInfo->m_option & OPT_SRCFTP) && (LONG)::GetFileAttributes(sSrcPath) == -1) { // ###1.20
		CString sMsg;
		sMsg.Format(IDS_ERR_PATHNOTFOUND, sSrcPath);
		AfxMessageBox(sMsg);
		m_cbSrcPath.SetFocus();
		return;
	}
	if(!(pInfo->m_option & OPT_DSTFTP) && pInfo->m_opmode == OPE_COMPARE
		&& (LONG)::GetFileAttributes(sDstPath) == -1) {
		CString sMsg;
		sMsg.Format(IDS_ERR_PATHNOTFOUND, sDstPath);
		AfxMessageBox(sMsg);
		m_cbDstPath.SetFocus();
		return;
	}
#endif
	BOOL bConnect = FALSE;
#ifndef NO_FTP
	if (pInfo->m_option & OPT_FTP && !ftp.IsConnect()) {
		if(!CheckServer(pInfo)) return;
		bConnect = TRUE;
	}
#endif
	CLogDlg dlgLog(this);
	dlgLog.m_bExec = bExec;
	dlgLog.m_pInfo = pInfo;
	dlgLog.m_bTray = bTray;
	dlgLog.DoModal();
	if(bExec) {
		m_stReport.SetWindowText(pInfo->m_sReport);
		OnUpdateDayAfter();
	}
	if(bExec != DO_AUTOEXEC && !bTray)
		ShowWindow(SW_SHOW);
#ifndef NO_FTP
	else if (bConnect)
		Disconnect();
#endif
}

void CZCopyDlg::OnDoBackup() 
{
	// TODO: Add your control notification handler code here
	GetInfo();
	CString sMsg;
	sMsg.Format(IDS_BACKUP_QUERY, GetBackupCount());
	if(AfxMessageBox(sMsg, MB_OKCANCEL) == IDOK)
		OnBackup();
}

void CZCopyDlg::OnCheckBackup() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	InitBackupButton();
}

void CZCopyDlg::InitBackupButton()
{
	GetDlgItem(IDB_DO_BACKUP)->EnableWindow(GetBackupCount(m_iSel) || m_bBackup);
}

void CZCopyDlg::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	GetInfo();			// ###0.93
	Save();
	options.Save();
	if(!m_bShutdown) {
//		GetInfo();
		if(options.m_bOnTray) {
			if(!m_trayIcon.IsShow())
				ShowTray(TRUE);
			ShowWindow(SW_HIDE);
			return;
		}
	}
	KillTimer(ID_TIMER);
	CDialog::OnClose();
}

void CZCopyDlg::OnCloseBtn() 
{
	SendMessage(WM_CLOSE);
}

void CZCopyDlg::OnReset() 
{
	// TODO: Add your control notification handler code here
	SetInfo();
}

void CZCopyDlg::OnOption() 
{
	// TODO: Add your control notification handler code here
	COptionDlg dlg;
	dlg.DoModal();
	if(dlg.m_bTabMultiChanged)
		ResetSheetSize();
}

void CZCopyDlg::OnSelChangeOperation() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	BOOL bDest = (m_opmode != OPE_DELETE && m_opmode != OPE_FIND);
	m_cbDstPath.EnableWindow(bDest);
	GetDlgItem(IDB_DSTBROWSE)->EnableWindow(bDest);
	GetDlgItem(IDB_DSTFTP)->EnableWindow(bDest);
	GetDlgItem(IDB_NO_OVERWRITE)->EnableWindow(bDest && m_opmode != OPE_UPDATE && m_opmode != OPE_COMPARE);
	GetDlgItem(IDB_OVERWRITE)->EnableWindow(bDest && m_opmode != OPE_GATHER && m_opmode != OPE_COMPARE);
	GetDlgItem(IDB_BYTARGET)->EnableWindow(bDest && m_opmode != OPE_GATHER);
	GetDlgItem(IDB_OPOPTION)->EnableWindow(m_opmode == OPE_COMPARE);
	OnUpdateDayAfter();
}

void CZCopyDlg::OnUpdateDayAfter() 
{
	CZCInfo* pInfo = GetInfoPtr(m_iSel);
	GetDlgItem(IDB_DAYAFTER)->EnableWindow(pInfo->IsValidDate());
}

void CZCopyDlg::OnOpOption() 
{
	// TODO: Add your control notification handler code here
	CCompareDlg().DoModal();
}

//CString BrowseFolder(LPCTSTR pTitle);

void CZCopyDlg::OnSrcBrowse() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	CString sPath = ParseEnv(m_cbSrcPath.GetText());
	if(sPath == ENV_NOTFOUND) return;
	sPath = Browse(sPath, FALSE, m_bSrcFTP);
	if(!sPath.IsEmpty())
		m_cbSrcPath.SetWindowText(sPath);
}

void CZCopyDlg::OnDstBrowse() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	CString sPath = ParseEnv(m_cbDstPath.GetText());
	if(sPath == ENV_NOTFOUND) return;
	sPath = Browse(sPath, TRUE, m_bDstFTP);
	if(!sPath.IsEmpty())
		m_cbDstPath.SetWindowText(sPath);
}


void CZCopyDlg::OnDateSetting() 
{
	// TODO: Add your control notification handler code here
	
	CZCInfo* pInfo = GetInfoPtr(m_iSel);
	CDateDialog dlg;
	if(pInfo->IsValidDate()) {
		dlg.m_date = dlg.m_time = CTime(pInfo->m_ftOperate);
	} else {
		dlg.m_date = CTime(CTime::GetCurrentTime());
		dlg.m_time = CTime(CTime::GetCurrentTime());
	}
	if(dlg.DoModal() == IDOK) {
		SYSTEMTIME stDate, stTime;
		dlg.m_date.GetAsSystemTime(stDate);
		dlg.m_time.GetAsSystemTime(stTime);
		stDate.wHour = stTime.wHour;
		stDate.wMinute = stTime.wMinute;
		stDate.wSecond = stTime.wSecond;
		stDate.wMilliseconds = stTime.wMilliseconds;
		FILETIME ft;
		::SystemTimeToFileTime(&stDate, &ft);
		::LocalFileTimeToFileTime(&ft, &pInfo->m_ftOperate);
		OnUpdateDayAfter();
		Touch();
	}
}

void CZCopyDlg::OnSizeSetting() 
{
	// TODO: Add your control notification handler code here

	CZCInfo* pInfo = GetInfoPtr(m_iSel);
	CSizeDialog dlg;
	dlg.m_nBySizeMode = pInfo->m_modeBySize & OP_SIZE_MODEMASK;
	dlg.m_nBySizeUnit = pInfo->m_modeBySize >> OP_SIZE_UNITSHIFT;
	dlg.m_dwBySize = pInfo->m_dwBySize;
	if(dlg.DoModal() == IDOK) {
		pInfo->m_dwBySize = dlg.m_dwBySize;
		pInfo->m_modeBySize = (dlg.m_nBySizeUnit << OP_SIZE_UNITSHIFT) | dlg.m_nBySizeMode;
		Touch();
	}	
}

/////////////////////////////////////////////////////////////////////////////
// FTP

#ifndef NO_FTP

void CZCopyDlg::OnSrcFTP() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	InitFTP();
	InitPath(m_cbSrcPath, m_bSrcFTP);
}

void CZCopyDlg::OnDstFTP() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	InitFTP();
	InitPath(m_cbDstPath, m_bDstFTP);
}

void CZCopyDlg::InitFTP()
{
	m_cbSrcPath.AttachHistory(m_bSrcFTP ? &m_sHistFTP : &m_sHistPath, options.m_nHistMax);
	m_cbDstPath.AttachHistory(m_bDstFTP ? &m_sHistFTP : &m_sHistPath, options.m_nHistMax);
	BOOL bFTP = ftp.IsConnect() || m_bSrcFTP || m_bDstFTP;
	GetDlgItem(IDB_FTPSETTING)->EnableWindow(m_bSrcFTP || m_bDstFTP);
	GetDlgItem(IDB_CONNECT)->EnableWindow(ftp.IsConnect() || m_bSrcFTP || m_bDstFTP);
}

void CZCopyDlg::InitPath(CHistComboBox& combo, BOOL bFTP)
{
	CString sText = combo.GetText();
	if(bFTP) {
		if(sText.IsEmpty()) {
			if(m_sHistFTP.GetSize()) {
				combo.SetWindowText(m_sHistFTP[0]);
			}
		} else {
			for_to(i, m_sHistPath.GetSize()) {
				if(sText == m_sHistPath[i]) {
					m_sHistPath.RemoveAt(i);
					break;
				}
			}
		}
	}
}

void CZCopyDlg::OnConnect() 
{
	// TODO: Add your control notification handler code here
	if(ftp.IsConnect()) {
		Disconnect();
	} else {
		GetInfo();
		if(CheckServer()) {
			if(ftp.Connect(NULL, WM_FTP_CONNECT, FALSE))
				GetDlgItem(IDB_CONNECT)->SetWindowText(_T("Abort"));
		}
	}
}

void CZCopyDlg::Disconnect() 
{
	ftp.Close();
	GetDlgItem(IDB_CONNECT)->SetWindowText(_T("Connect"));
	ftp.QueryHangUp();
}

BOOL CZCopyDlg::CheckServer(CZCInfo* pInfo) 
{
	CString sServer;
	ftp.m_pInfo = NULL;
	if(GetServer(sServer, pInfo)) {
		ftp.m_pInfo = ftp.FindServer(sServer);
		if(!ftp.m_pInfo) {
			if(FTPSettingDlg())
				ftp.m_pInfo = ftp.FindServer(sServer);
		}
	}
	return ftp.m_pInfo != NULL;
}

void CZCopyDlg::OnFTPSetting() 
{
	// TODO: Add your control notification handler code here
	FTPSettingDlg();
}

BOOL CZCopyDlg::FTPSettingDlg()
{
	GetInfo();
	CFTPDlg dlgFTP;
	dlgFTP.m_psh.dwFlags |= PSH_NOAPPLYNOW;
	GetServer(dlgFTP.m_pageHost.m_sServerNew);
	BOOL bResult = dlgFTP.DoModal();
	if(bResult) {
		for_to(i, dlgFTP.m_pageHost.m_sHistServer.GetSize()) {
			for_to(j, m_sHistFTP.GetSize()) {
				if(!_tcsncmp(dlgFTP.m_pageHost.m_sHistServer[i], m_sHistFTP[j], dlgFTP.m_pageHost.m_sHistServer[i].GetLength()))
					break;
			}
			if(j == m_sHistFTP.GetSize())
				m_sHistFTP.Add(dlgFTP.m_pageHost.m_sHistServer[i]);
		}
		options.Touch();
		Touch();
		ftp.Save();
	}
	return bResult;
}

LRESULT CZCopyDlg::OnFTPConnect(WPARAM, LPARAM)
{
	GetDlgItem(IDB_CONNECT)->SetWindowText(_T("Disconnect"));
	return 1;
}

#endif // NO_FTP

/////////////////////////////////////////////////////////////////////////////
// Call Browser

int CALLBACK BrowseCallbackProc(HWND hwnd, UINT uMsg, LPARAM lParam, LPARAM lpData)
{
	TCHAR sDir[MAX_PATH];
	switch(uMsg) {
	case BFFM_INITIALIZED:
		SendMessage(hwnd, BFFM_SETSELECTION, TRUE, lpData);
		break;
	case BFFM_SELCHANGED:
		if (SHGetPathFromIDList((LPITEMIDLIST) lParam, sDir))
			SendMessage(hwnd, BFFM_SETSTATUSTEXT, 0, (LPARAM)sDir);
		break;
	}
	return 0;
}

CString ShellBrowseFolder(LPCTSTR pPath, LPCTSTR pTitle)
{
	CString sPath;
	LPMALLOC pMalloc;
	if(SUCCEEDED(SHGetMalloc(&pMalloc))) {
		BROWSEINFO bi;
		ZeroMem(bi);
		bi.hwndOwner = AfxGetMainWnd()->GetSafeHwnd();
		bi.ulFlags = BIF_RETURNONLYFSDIRS | BIF_STATUSTEXT | BIF_NEWDIALOGSTYLE;
		bi.lpszTitle = pTitle;
		bi.lpfn = BrowseCallbackProc;
		bi.lParam = (LPARAM)pPath;
		LPITEMIDLIST pidl = SHBrowseForFolder(&bi);
		if(pidl) {
			TCHAR szDir[MAX_PATH];
			if (SHGetPathFromIDList(pidl, szDir))
				sPath = CString(szDir);
			pMalloc->Free(pidl);
		}
		pMalloc->Release();
	}
	return sPath;
}

CString CZCopyDlg::Browse(LPCTSTR pPath, BOOL bDest, BOOL bFTP)
{
	USES_CONVERSION;

	LPCTSTR pTitle = bDest ? _T("Target") : _T("Source") ;
	if(options.m_bShellBrowser && !bFTP) {
		return ShellBrowseFolder(pPath, pTitle);
	} else {
		CString sPath(pPath);
		if(sPath.Find(TCHAR(' ')) != INVALID)
			sPath.Format(_T("\"%s\""), pPath);
		CString sParam;
		sParam.Format(_T("ZBrowse.exe -caption:%s -id:%d -root:%s") ,pTitle, bDest + 1, sPath);
		BOOL bResult = WinExec(T2A(sParam), SW_SHOW);
		ASSERT(bResult >= 32);
		CString sNull;
		return sNull;
	}
}

void CZCopyDlg::OnTrayBrowse()
{
	BOOL bResult = WinExec("ZBrowse.exe", SW_SHOW);
	ASSERT(bResult >= 32);
}

LRESULT CZCopyDlg::OnBrowseFolder(WPARAM uID, LPARAM)
{
	CHistComboBox& combo = (uID == 2) ? m_cbDstPath : m_cbSrcPath;
	CString sPath = AfxGetApp()->GetProfileString(sRegDefault, sRegFolder);
	if(!sPath.IsEmpty())
		combo.SetWindowText(sPath);
	return 1;
}

void CZCopyDlg::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	
	if(options.m_bSchedule && options.m_bOnTray && !IsWindowVisible()) {
		SYSTEMTIME time;
		::GetLocalTime(&time);
		if(time.wHour == options.m_nHour && time.wDay != m_nLastBackupDay) {
			m_nLastBackupDay = time.wDay;
			PostMessage(WM_COMMAND, ID_AUTO_BACKUP);
		}
	}
	CDialog::OnTimer(nIDEvent);
}

/////////////////////////////////////////////////////////////////////////////
// MultiLine TabControl ###1.20

void CZCopyDlg::ResetSheetSize()
{
	if(options.m_bTabMulti)
		m_tabCtrl.ModifyStyle(0, TCS_MULTILINE);
	else
		m_tabCtrl.ModifyStyle(TCS_MULTILINE, 0);

	int nTabRowCount = m_tabCtrl.GetRowCount();
	if(nTabRowCount != m_nTabRowCount) {
		CRect rRect;
		m_tabCtrl.GetItemRect(0, rRect);
		int nExpand = (nTabRowCount - m_nTabRowCount) * rRect.Height();
		m_nTabRowCount = nTabRowCount;
		GetWindowRect(rRect);
		rRect.bottom += nExpand;
		MoveWindow(rRect, TRUE);
		m_tabCtrl.GetWindowRect(rRect);
		ScreenToClient(rRect);
		rRect.bottom += nExpand;
		m_tabCtrl.MoveWindow(rRect, FALSE);

		ExpandWindow(m_tabCtrl.GetNextWindow(), nExpand);
	}
	RedrawWindow();
}

void CZCopyDlg::ExpandWindow(CWnd* pWnd, int nExpand)
{
	while(pWnd) {
		CRect rRect;
		pWnd->GetWindowRect(rRect);
		ScreenToClient(rRect);
		rRect.top += nExpand;
		rRect.bottom += nExpand;
		pWnd->MoveWindow(rRect, FALSE);

		pWnd = pWnd->GetNextWindow();
	}
}

