// SortObj.h

#ifndef SORTOBJ_H
#define SORTOBJ_H

template<class TYPE> class CSortObject
{
public:
	TYPE* Sort(int n);
	TYPE* GetNext() { return pNext; }
	TYPE* GetPrev() { return pPrev; }
	TYPE* pPrev;
	TYPE* pNext;
	virtual int Compare(TYPE* p1, TYPE* p2) { return 0; }
};

template<class TYPE> TYPE* CSortObject<TYPE>::Sort(int n)
{
	TYPE* pHead = (TYPE*)this;
	TYPE* p = pHead;
	for_to(i, n) {
		p->pPrev = i ? p-1 : NULL;
		p->pNext = (i < n-1) ? p+1 : NULL;
		p++;
	}

	p = pHead;
	TYPE *p1, *p2, *p3;
	while(p && (p2=p->pNext)) {
		if(Compare(p, p2) > 0) {
			p1 = p;
			while(p1->pPrev) {
				p1 = p1->pPrev;
				if(Compare(p1, p2) <= 0) {
					p3 = p1->pNext;
					p1->pNext = p2;
					goto Sort1;
				}
			}
			pHead = p2;
			p3 = p1;
			p1 = NULL;
Sort1:
			if(p->pNext = p2->pNext) p->pNext->pPrev = p;
			p2->pNext = p3;
			p2->pPrev = p1;
			p3->pPrev = p2;
		} else
			p = p->pNext;
	}
	return pHead;
}

#endif //SORTOBJ_H
