/////////////////////////////////////////////////////////////////////////////
// ZSIndex.cpp

#include "stdafx.h"
#include "zctype.h"

WORD _zctype[256] = {
/*00*/	0,		  0,		0,		  0,		0,		  0,		0,		  0,
/*08*/	CT_CTRL, CT_CTRL|CT_BLANK, CT_CTRL,	CT_CTRL, CT_CTRL, CT_CTRL, 0, 0,
/*10*/	0,		  0,		0,		  0,		0,		  0,		0,		  0,
/*18*/	0,		  0,		0,		  0,		0,		  0,		0,		  0,
//				  !			"         #         $         %         &         '
/*20*/	CT_BLANK, CT_SYMBOL,CT_SYMBOL,CT_SYMURL,CT_SYMBOL,CT_SYMURL,CT_SYMURL,CT_SYMBOL,
//		(		  )			*		  +			,		  -			.		  /
/*28*/	CT_SYMBOL,CT_SYMBOL,CT_SYMBOL,CT_SYMBOL,CT_SYMBOL,CT_SYMURL,CT_SYMURL,CT_SYMURL,
//		0		  1			2		  3			4		  5			6		  7
/*30*/	CT_DIGIT, CT_DIGIT, CT_DIGIT, CT_DIGIT, CT_DIGIT, CT_DIGIT, CT_DIGIT, CT_DIGIT,
//		8		  9			:		  ;			<		  =			>		  ?
/*38*/	CT_DIGIT, CT_DIGIT, CT_SYMBOL,CT_SYMURL,CT_SYMBOL,CT_SYMURL,CT_SYMBOL,CT_SYMURL,
/*40*/	CT_SYMBOL,CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER,
/*48*/	CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER,
/*50*/	CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER, CT_UPPER,
//		X		  Y			Z		  [			\ 		  ]			^		  _
/*58*/	CT_UPPER, CT_UPPER, CT_UPPER, CT_SYMBOL,CT_SYMBOL,CT_SYMBOL,CT_SYMBOL,CT_URL|CT_UNDERSCORE,
/*60*/	CT_SYMBOL,CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER,
/*68*/	CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER,
/*70*/	CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER, CT_LOWER,
//		x		  y			z		  {			|		  }			~
/*78*/	CT_LOWER, CT_LOWER, CT_LOWER, CT_SYMBOL,CT_SYMBOL,CT_SYMBOL,CT_SYMURL,0,
/*80*/	0,		  CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,
/*88*/	CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,
/*90*/	CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,
/*98*/	CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,
/*A0*/	0,		  CT_KATAS, CT_KATAS, CT_KATAS, CT_KATAS, CT_KATAS, CT_KATAL, CT_KATAL,
/*A8*/	CT_KATAL, CT_KATAL, CT_KATAL, CT_KATAL, CT_KATAL, CT_KATAL, CT_KATAL, CT_KATAL,
/*B0*/	CT_KATAL, CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,
/*B8*/	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,
/*C0*/	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,
/*C8*/	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,
/*D0*/	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,
/*D8*/	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATA,	CT_KATA,  CT_KATAL,	CT_KATAL, CT_KATAL,
/*E0*/	CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,
/*E8*/	CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,
/*F0*/	CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,
/*F8*/	CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,CT_MBLEAD,0,		0,		  0
};

static const char sMBCAScii[] = 
	"@Ihfij{C|D^OPQRSTUVWXFGH" \
	"`abcdefghijklmnopqrstuvwxymnOQ" \
	"eobp`@" \
	"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@" \

	"@BuvAE@BDFHb[ACEGIJLNPRTVXZ\" \
	"^`cegijklmnqtwz}~JK";

WORD* _pzmbctype;

inline WORD _HanToZen(_CHAR c)
{
	if(c < 0x20) return c;
	return *((WORD*)sMBCAScii + (c - 0x20));
}

class MBCharTable
{
public:
	MBCharTable();
	~MBCharTable();
private:
	void SetMBCharType(int nStart, int nEnd, WORD wType, BOOL bOR = TRUE);
	void SetMBCharType(LPCSTR pszTable, WORD wType, BOOL bOR = TRUE);
};

static MBCharTable mbCharTable;

MBCharTable::MBCharTable()
{
	_pzmbctype = new WORD[MBCTABLE_COUNT];
	memset(_pzmbctype, 0, sizeof(WORD) * MBCTABLE_COUNT);

	mbchar_table('@') = MBCT_SPACE;
	SetMBCharType('@'+1, 'O'-1, MBCT_SYMBOL);
	SetMBCharType("BDACIH", MBCT_BREAK, FALSE);
	SetMBCharType("JKRSTUVX[@BDFH", MBCT_TRAIL);
	SetMBCharType('O', 'X', MBCT_DIGIT);
	SetMBCharType('`', 'y', MBCT_UPPER);
	SetMBCharType('', '', MBCT_LOWER);
	SetMBCharType(MIN_HIRA, MAX_HIRA, MBCT_HIRA);
	SetMBCharType(MIN_KATA, MAX_KATA, MBCT_KATA);
	SetMBCharType("", MBCT_HIRA_S);
	SetMBCharType("@BDFH", MBCT_KATA_S);
	SetMBCharType("Âłǂ΂тԂׂ", MBCT_HIRA_D);
	SetMBCharType("KMOQSUWY[]_adfhorux{", MBCT_KATA_D);
	SetMBCharType("ς҂Ղ؂", MBCT_HIRA_H);
	SetMBCharType("psvy|", MBCT_KATA_H);

	// for MBST
	LPWORD p = (LPWORD)sMBCAScii;
	for_to(i, (0x80 - 0x20)) {
		WORD c = *p++;
		SWAPBYTE(c);
		mbchar_table(c) |= MBCT_ASCII;
	}
}

MBCharTable::~MBCharTable()
{
	delete[] _pzmbctype;
}

void MBCharTable::SetMBCharType(int nStart, int nEnd, WORD wType, BOOL bOR)
{
	for(int i = nStart; i <= nEnd; i++)
		if(bOR)
			mbchar_table(i) |= wType;
		else
			mbchar_table(i) = wType;
}

void MBCharTable::SetMBCharType(LPCSTR pszTable, WORD wType, BOOL bOR)
{
	LPCSTR p = pszTable;
	while(*p) {
		WORD c = MAKEWORD(*(p+1), *p);
		if(bOR)
			mbchar_table(c) |= wType;
		else
			mbchar_table(c) = wType;
		p += 2;
	}
}

// pSpɕϊ
CString HanToZen(LPCTSTR pHan, int len, BOOL bLower)
{
	if (len == 0) len = _tcslen(pHan);
	LPCTSTR pHanEnd = pHan + len;
	CString sResult;
	WORD *q = (WORD*)sResult.GetBuffer(len * 2 + 1);
	WORD *qStart = q;
	LPCTSTR pHanStart = pHan;
	while(pHan < pHanEnd) {
		_CHAR c = *pHan++;
		if(c < 0x20)
			*((_CHAR*&)q)++ = c;				// R[h(0x00`0x1F)͂̂܂܃Rs[
		else if(is_mblead(c)) {
			if(bLower) {
				WORD w = MAKEWORD(*pHan++, c);
				if(mbchar_type(w) & MBCT_UPPER)
					w += '' - '`';
				SWAPBYTE(w);
				*q++ = w;
			} else
				*q++ = *((WORD*&)(--pHan))++;	// Sp̂܂܃Rs[
		} else {
			if(is_upper(c)) {
				if(bLower) c = _tolower(c);
			} else if(c == (_CHAR)'' || c == (_CHAR)'') {
				if(q > qStart + 1) {
					WORD cPrev = MAKEWORD(*((_CHAR*)q-1), *((_CHAR*)q-2));
					if(mbchar_type(cPrev) == MBCT_KATA) {
						*((_CHAR*)q - 1) += c - '' + 1;
						continue;
					}
				}
			}
			*q++ = *((WORD*)sMBCAScii + (c - 0x20));
		}
	}
	*((_CHAR*)q) = '\0';
	sResult.ReleaseBuffer();
	return sResult;
}

WORD HanToZen(_CHAR c)
{
	if(c < 0x20) return c;
	return *((WORD*)sMBCAScii + (c - 0x20));
}

// |C^ p ̈ʒȗSp̃^Cv擾
UINT GetMBCharType(LPCTSTR p)
{
	if(!is_mblead((_CHAR)*p)) return 0;
	WORD c = MAKEWORD(*(p+1), *p);
	return mbchar_type(c);
}

// MBC String Type

UINT GetMBStringType(LPCTSTR p)
{
	UINT uFlags = 0;
	while(*p) {
		_CHAR c = *p++;
		if(is_mblead(c)) {
			uFlags |= MBST_MB;
			WORD w = MAKEWORD(*p++, c);
			if(mbchar_type(w) & MBCT_ASCII)
				uFlags |= MBST_MB_ASCII;
		} else {
			uFlags |= MBST_SB;
			if(char_type(c) & CT_SYMBOL) {
				if(c == '*' || c == '?') uFlags |= MBST_WILDCARD;
				else if(c == '.' || c == '/' || c == ':' || c == '\\') uFlags |= MBST_PATH;
			}
		}
	}
	return uFlags;
}

// strstȓ召ApSpignore (str2͗\ߏASp݂̂ɕϊς݁j
// mbleadŏIĂꍇɂ͖Ή

LPCSTR FindMBString(LPCSTR str1, LPCSTR str2, UINT uFlags)
{
	LPCSTR p = str1;
	LPTEXT s1, s2;
	if(!*str2) return str1;

	if(!(uFlags & MBST_MB)) {	// str2͔p̂
		while(*p) {
			s1 = (LPTEXT)p;
			s2 = (LPTEXT)str2;
			while(*s1 && *s2) {
				_CHAR c1 = *s1;
				if(is_upper(c1)) c1 = _tolower(c1);
				if(c1 != *s2) break;
				s1++, s2++;
			}
			if(!*s2) return p;
			if(is_mblead(*(LPTEXT)p)) p++;
			p++;
		}
	} else {	// str2͑Sp̂
		BOOL bASCII = (uFlags & (MBST_MB_ASCII | MBST_SB)) != 0;	// str2ASCII܂܂邩H
		while(*p) {
			s1 = (LPTEXT)p;
			s2 = (LPTEXT)str2;
			while(*s1 && *s2) {
				_CHAR c1 = *s1;
				if(c1 < 0x80 && !bASCII) break;
				if(c1 < 0x80 || is_hankana(c1)) {	// str1̔ṕASpɕϊĔr
					if(is_upper(c1)) c1 = _tolower(c1);
					WORD w1 = _HanToZen(c1);
					if(is_hankana(c1)) {
						_CHAR c11 = *(s1 + 1);
						if(c11 == (_CHAR)'' || c11 == (_CHAR)'') {
							w1 += (c11 - (_CHAR)'' + 1) << 8;
							s1++;
						}
					}
					if(w1 != *(LPWORD)s2) break;
					if(!*(++s2)) return p;
				} else {
					if(*(LPWORD)s1 != *(LPWORD)s2) break;
					if(!*(++s2)) return p;
					if(!*(++s1)) return NULL;
				}
				s1++, s2++;
			}
			if(!*s2) return p;
			if(is_mblead(*(LPTEXT)p)) p++;
			p++;
		}
	}
	return NULL;
}
